<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3001
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3001-2012-12-12T000000">
   <title>EKG measurements</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]
Item: (EKGmeasurements)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section
Item: (EKGmeasurements)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section"
         id="tmp-f0dd340b-e130-4da7-b6b2-5f7c81e131c8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(EKGmeasurements): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3001'])&gt;=1 ">(EKGmeasurements): element hl7:templateId[@root='2.16.578.1.34.10.3001'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3001'])&lt;=1">(EKGmeasurements): element hl7:templateId[@root='2.16.578.1.34.10.3001'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(EKGmeasurements): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(EKGmeasurements): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(EKGmeasurements): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(EKGmeasurements): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(EKGmeasurements): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(EKGmeasurements): element hl7:text appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3001']
Item: (EKGmeasurements)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3001']"
         id="tmp-ec9c124e-74d4-47e9-b79c-06b6e2b4dc1a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EKGmeasurements): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3001'">(EKGmeasurements): @root SHALL have value '2.16.578.1.34.10.3001'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section/hl7:code
Item: (EKGmeasurements)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section/hl7:code"
         id="tmp-71736ee2-f8d8-4251-8da0-da85dea34194">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EKGmeasurements): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="@nullFlavor or (@code='18810-2' and @codeSystem='2.16.840.1.113883.6.1')">(EKGmeasurements): The value for @code/@codeSystem SHALL be ''18810-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section/hl7:title
Item: (EKGmeasurements)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section/hl7:title"
         id="tmp-43966621-e480-42d5-88c9-cac068c4f54a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EKGmeasurements): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section/hl7:text
Item: (EKGmeasurements)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section/hl7:text"
         id="tmp-527ce36e-aec4-40b3-8fcb-96c7dad09d98">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EKGmeasurements): If an @xsi:type instruction is present it SHALL be valued "SD.TEXT", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
