<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3002
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3002-2012-12-12T000000">
   <title>EKG impression</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]
Item: (EKGimpression)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section
Item: (EKGimpression)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section"
         id="tmp-59b1d8fd-52ff-4399-8fe4-e68bb374509a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(EKGimpression): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3002'])&gt;=1 ">(EKGimpression): element hl7:templateId[@root='2.16.578.1.34.10.3002'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3002'])&lt;=1">(EKGimpression): element hl7:templateId[@root='2.16.578.1.34.10.3002'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(EKGimpression): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(EKGimpression): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(EKGimpression): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(EKGimpression): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(EKGimpression): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(EKGimpression): element hl7:text appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3002']
Item: (EKGimpression)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3002']"
         id="tmp-989e584f-4dc4-4d67-a39b-f60529eccd2e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EKGimpression): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3002'">(EKGimpression): @root SHALL have value '2.16.578.1.34.10.3002'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section/hl7:code
Item: (EKGimpression)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section/hl7:code"
         id="tmp-25eadbe9-4a82-46c4-b0dd-a96d13871e08">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EKGimpression): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="@nullFlavor or (@code='18844-1' and @codeSystem='2.16.840.1.113883.6.1')">(EKGimpression): The value for @code/@codeSystem SHALL be ''18844-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section/hl7:title
Item: (EKGimpression)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section/hl7:title"
         id="tmp-294372ba-f986-441c-8287-6f45f3b73416">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EKGimpression): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section/hl7:text
Item: (EKGimpression)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section/hl7:text"
         id="tmp-2619ab3c-8337-4c5f-aac0-ee0349178408">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EKGimpression): If an @xsi:type instruction is present it SHALL be valued "SD.TEXT", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
