<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3003
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3003-2012-12-12T000000">
   <title>Objective and Preoperative Assessment</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]
Item: (ObjectiveandPreoperativeAssessment)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section
Item: (ObjectiveandPreoperativeAssessment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section"
         id="tmp-f96ac295-2f19-4710-a8a4-8ccff5dbf9a7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(ObjectiveandPreoperativeAssessment): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3003'])&gt;=1 ">(ObjectiveandPreoperativeAssessment): element hl7:templateId[@root='2.16.578.1.34.10.3003'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3003'])&lt;=1">(ObjectiveandPreoperativeAssessment): element hl7:templateId[@root='2.16.578.1.34.10.3003'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ObjectiveandPreoperativeAssessment): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(ObjectiveandPreoperativeAssessment): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(ObjectiveandPreoperativeAssessment): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(ObjectiveandPreoperativeAssessment): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ObjectiveandPreoperativeAssessment): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(ObjectiveandPreoperativeAssessment): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]])&lt;=1">(ObjectiveandPreoperativeAssessment): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3003']
Item: (ObjectiveandPreoperativeAssessment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3003']"
         id="tmp-cab52f68-9039-44e7-8fd2-e8fa8f4b5fd4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ObjectiveandPreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3003'">(ObjectiveandPreoperativeAssessment): @root SHALL have value '2.16.578.1.34.10.3003'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section/hl7:code
Item: (ObjectiveandPreoperativeAssessment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section/hl7:code"
         id="tmp-d4e3175b-8023-43c4-8462-7d7ee1019523">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ObjectiveandPreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="@nullFlavor or (@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')">(ObjectiveandPreoperativeAssessment): The value for @code/@codeSystem SHALL be ''61149-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section/hl7:title
Item: (ObjectiveandPreoperativeAssessment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section/hl7:title"
         id="tmp-3ae50b46-ffb7-4dca-8583-59050b4af04f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ObjectiveandPreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section/hl7:text
Item: (ObjectiveandPreoperativeAssessment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section/hl7:text"
         id="tmp-026780e3-3dc3-4c1f-9d8f-821999e7a030">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ObjectiveandPreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "SD.TEXT", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]]
Item: (ObjectiveandPreoperativeAssessment)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]]"
         id="tmp-40af7094-2e11-4cd0-af87-bd70b1299122">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(ObjectiveandPreoperativeAssessment): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
