<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3004
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3004-2012-12-12T000000">
   <title>Preoperative Assessment</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]
Item: (PreoperativeAssessment)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section
Item: (PreoperativeAssessment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section"
         id="tmp-c756fa4b-bf63-49d3-9cfe-60c77bee1b0f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(PreoperativeAssessment): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3004'])&gt;=1 ">(PreoperativeAssessment): element hl7:templateId[@root='2.16.578.1.34.10.3004'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3004'])&lt;=1">(PreoperativeAssessment): element hl7:templateId[@root='2.16.578.1.34.10.3004'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(PreoperativeAssessment): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(PreoperativeAssessment): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(PreoperativeAssessment): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(PreoperativeAssessment): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(PreoperativeAssessment): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(PreoperativeAssessment): element hl7:text appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3004']
Item: (PreoperativeAssessment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3004']"
         id="tmp-1503cc84-7049-44d3-9d62-468ac58dd5ae">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3004'">(PreoperativeAssessment): @root SHALL have value '2.16.578.1.34.10.3004'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section/hl7:code
Item: (PreoperativeAssessment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section/hl7:code"
         id="tmp-0c84d3f5-5709-4195-9c35-623c7f9be0e2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="@nullFlavor or (@code='46070-9' and @codeSystem='2.16.840.1.113883.6.1')">(PreoperativeAssessment): The value for @code/@codeSystem SHALL be ''46070-9' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section/hl7:title
Item: (PreoperativeAssessment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section/hl7:title"
         id="tmp-2b75eb10-800a-4401-a45d-37a6f04021f0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section/hl7:text
Item: (PreoperativeAssessment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section/hl7:text"
         id="tmp-c2eaf8c8-dc43-4897-9126-9f8e537fec11">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "SD.TEXT", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
