<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3005
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3005-2012-12-12T000000">
   <title>Real Time Variables</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]
Item: (RealTimeVariables)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section
Item: (RealTimeVariables)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section"
         id="tmp-973e6b74-5e01-4a01-9c75-69dca60bae3d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(RealTimeVariables): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3005'])&gt;=1 ">(RealTimeVariables): element hl7:templateId[@root='2.16.578.1.34.10.3005'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3005'])&lt;=1">(RealTimeVariables): element hl7:templateId[@root='2.16.578.1.34.10.3005'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(RealTimeVariables): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(RealTimeVariables): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(RealTimeVariables): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(RealTimeVariables): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(RealTimeVariables): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(RealTimeVariables): element hl7:text appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3005']
Item: (RealTimeVariables)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3005']"
         id="tmp-6dcef333-da9a-4f3e-a007-fc9673968c73">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RealTimeVariables): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3005'">(RealTimeVariables): @root SHALL have value '2.16.578.1.34.10.3005'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section/hl7:code
Item: (RealTimeVariables)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section/hl7:code"
         id="tmp-91c7b05e-b02a-43e6-867d-b720bc6a2d61">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RealTimeVariables): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="@nullFlavor or (@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')">(RealTimeVariables): The value for @code/@codeSystem SHALL be ''29554-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section/hl7:title
Item: (RealTimeVariables)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section/hl7:title"
         id="tmp-7722c81b-2ed7-42a6-b9c7-d8929e290f04">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RealTimeVariables): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section/hl7:text
Item: (RealTimeVariables)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section/hl7:text"
         id="tmp-823e2b4c-5a08-4cfc-bd59-50b7a81abe41">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RealTimeVariables): If an @xsi:type instruction is present it SHALL be valued "SD.TEXT", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
