<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3006
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3006-2012-12-12T000000">
   <title>Medication Anesthesia</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]
Item: (MedicationAnesthesia)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section
Item: (MedicationAnesthesia)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section"
         id="tmp-b0ab9f61-a1a3-44ea-9fac-40738e167c4c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(MedicationAnesthesia): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3006'])&gt;=1 ">(MedicationAnesthesia): element hl7:templateId[@root='2.16.578.1.34.10.3006'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3006'])&lt;=1">(MedicationAnesthesia): element hl7:templateId[@root='2.16.578.1.34.10.3006'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(MedicationAnesthesia): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(MedicationAnesthesia): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(MedicationAnesthesia): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(MedicationAnesthesia): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(MedicationAnesthesia): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(MedicationAnesthesia): element hl7:text appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3006']
Item: (MedicationAnesthesia)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3006']"
         id="tmp-5163a0b0-2692-44b9-9de7-edf6b25db335">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAnesthesia): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3006'">(MedicationAnesthesia): @root SHALL have value '2.16.578.1.34.10.3006'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section/hl7:code
Item: (MedicationAnesthesia)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section/hl7:code"
         id="tmp-5a888edf-d971-4f8f-8e89-b52c7d421f10">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAnesthesia): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="@nullFlavor or (@code='59774-0' and @codeSystem='2.16.840.1.113883.6.1')">(MedicationAnesthesia): The value for @code/@codeSystem SHALL be ''59774-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section/hl7:title
Item: (MedicationAnesthesia)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section/hl7:title"
         id="tmp-b30319a1-7df7-4904-a922-bfde31e5ce9d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAnesthesia): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section/hl7:text
Item: (MedicationAnesthesia)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section/hl7:text"
         id="tmp-aad62bae-037f-4d99-a60f-b8646e919a2e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAnesthesia): If an @xsi:type instruction is present it SHALL be valued "SD.TEXT", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]]
Item: (MedicationAnesthesia)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]]"
         id="tmp-3723bea6-cd2e-48d0-80c3-02c532d5a30d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(MedicationAnesthesia): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>
</pattern>
