<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3008
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3008-2012-12-12T000000">
   <title>Results Laboratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]
Item: (ResultsLaboratory)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section
Item: (ResultsLaboratory)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section"
         id="tmp-92395026-c885-418b-9f77-cfa485fb1926">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(ResultsLaboratory): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3008'])&gt;=1 ">(ResultsLaboratory): element hl7:templateId[@root='2.16.578.1.34.10.3008'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3008'])&lt;=1">(ResultsLaboratory): element hl7:templateId[@root='2.16.578.1.34.10.3008'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ResultsLaboratory): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(ResultsLaboratory): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(ResultsLaboratory): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(ResultsLaboratory): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ResultsLaboratory): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(ResultsLaboratory): element hl7:text appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3008']
Item: (ResultsLaboratory)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3008']"
         id="tmp-d8af38dc-7437-4cfb-82e2-e382337b8873">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultsLaboratory): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3008'">(ResultsLaboratory): @root SHALL have value '2.16.578.1.34.10.3008'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section/hl7:code
Item: (ResultsLaboratory)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section/hl7:code"
         id="tmp-9662f098-ecc9-430c-bdd1-383d77c3f51c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultsLaboratory): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="@nullFlavor or (@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')">(ResultsLaboratory): The value for @code/@codeSystem SHALL be ''30954-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section/hl7:title
Item: (ResultsLaboratory)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section/hl7:title"
         id="tmp-2db89687-a151-4721-bb9b-d3ce84756fb2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultsLaboratory): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section/hl7:text
Item: (ResultsLaboratory)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section/hl7:text"
         id="tmp-c19e0530-2e21-45a8-b6cf-d08100cbf829">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultsLaboratory): If an @xsi:type instruction is present it SHALL be valued "SD.TEXT", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]]
Item: (ResultsLaboratory)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]]"
         id="tmp-bf9598bc-08b2-4688-be02-a96828feface">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(ResultsLaboratory): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>
</pattern>
