<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3011
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3011-2012-12-12T000000">
   <title>Procedure Findings</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]
Item: (ProcedureFindings)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section
Item: (ProcedureFindings)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section"
         id="tmp-5eb699df-a16a-4c9c-b154-7b3e19613c7d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(ProcedureFindings): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3011'])&gt;=1 ">(ProcedureFindings): element hl7:templateId[@root='2.16.578.1.34.10.3011'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3011'])&lt;=1">(ProcedureFindings): element hl7:templateId[@root='2.16.578.1.34.10.3011'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ProcedureFindings): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(ProcedureFindings): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(ProcedureFindings): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(ProcedureFindings): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ProcedureFindings): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(ProcedureFindings): element hl7:text appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3011']
Item: (ProcedureFindings)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3011']"
         id="tmp-997463be-840e-4578-af57-038e9bafc97a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindings): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3011'">(ProcedureFindings): @root SHALL have value '2.16.578.1.34.10.3011'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section/hl7:code
Item: (ProcedureFindings)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section/hl7:code"
         id="tmp-2414c505-31a9-4e96-8942-1ab74939cbc2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindings): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="@nullFlavor or (@code='59776-5' and @codeSystem='2.16.840.1.113883.6.1')">(ProcedureFindings): The value for @code/@codeSystem SHALL be ''59776-5' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section/hl7:title
Item: (ProcedureFindings)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section/hl7:title"
         id="tmp-de8ac2fb-b080-47e5-ac3a-0a8b07ce4d0e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindings): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section/hl7:text
Item: (ProcedureFindings)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section/hl7:text"
         id="tmp-b4662df5-caf3-4fc4-92e7-0ebeb6df1704">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3011-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindings): If an @xsi:type instruction is present it SHALL be valued "SD.TEXT", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
