<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4001
Description: Template Medication Activity
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4001-2012-12-12T000000">
   <title>Medication Activity</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]
Item: (MedicationActivity)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration
Item: (MedicationActivity)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration"
         id="tmp-77b62036-70a5-4fc6-97d8-e08a9ee77dba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="string(@classCode)='SBADM'">(MedicationActivity): The value for @classCode SHALL be 'SBADM'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(MedicationActivity): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4001'])&gt;=1 ">(MedicationActivity): element hl7:templateId[@root='2.16.578.1.34.10.4001'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4001'])&lt;=1">(MedicationActivity): element hl7:templateId[@root='2.16.578.1.34.10.4001'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(MedicationActivity): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(MedicationActivity): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(MedicationActivity): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:statusCode)&lt;=1">(MedicationActivity): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(MedicationActivity): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:doseQuantity)&lt;=1">(MedicationActivity): element hl7:doseQuantity appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:rateQuantity)&lt;=1">(MedicationActivity): element hl7:rateQuantity appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:consumable)&gt;=1 ">(MedicationActivity): element hl7:consumable is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:consumable)&lt;=1">(MedicationActivity): element hl7:consumable appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.578.1.34.10.4001']
Item: (MedicationActivity)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.578.1.34.10.4001']"
         id="tmp-b71e5a47-96e9-4b67-83e5-7584f78756f2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4001'">(MedicationActivity): @root SHALL have value '2.16.578.1.34.10.4001'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:id
Item: (MedicationActivity)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:id"
         id="tmp-e0d85c1f-daad-4f0f-a0e9-2078c9c64149">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:code
Item: (MedicationActivity)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:code"
         id="tmp-97cee8a4-69bf-4365-ac8e-1b018e030dd1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or (@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')">(MedicationActivity): The value for @code/@codeSystem SHALL be ''DRUG' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:text
Item: (MedicationActivity)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:text"
         id="tmp-fddc0886-f81b-4294-90c7-ce8c3da944ba">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "ED", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(MedicationActivity): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:reference)&lt;=1">(MedicationActivity): element hl7:reference appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:text/hl7:reference
Item: (MedicationActivity)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:text/hl7:reference"
         id="tmp-19342ae0-97bc-4097-b29c-4d0e4160d79f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "TEL", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:statusCode
Item: (MedicationActivity)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:statusCode"
         id="tmp-45de596a-a246-4bc1-a1c6-350266edcd39">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "CS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or (@code='completed')">(MedicationActivity): The value for @code SHALL be ''completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:effectiveTime
Item: (MedicationActivity)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:effectiveTime"
         id="tmp-e46a99b5-b039-4602-927d-884e489caa43">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "IVL_TS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:doseQuantity
Item: (MedicationActivity)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:doseQuantity"
         id="tmp-22ab0580-458a-44c3-a87f-ea5c285785aa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "IVL_PQ", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:rateQuantity
Item: (MedicationActivity)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:rateQuantity"
         id="tmp-b8fd13e3-1a8e-4833-a98b-bed48376cba3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "IVL_PQ", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable
Item: (MedicationActivity)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable"
         id="tmp-5b617754-1268-4d59-88e2-90f026247681">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="string(@typeCode)='CSM'">(MedicationActivity): The value for @typeCode SHALL be 'CSM'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 ">(MedicationActivity): element hl7:manufacturedProduct is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(MedicationActivity): element hl7:manufacturedProduct appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable
Item: (MedicationInformation)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable
Item: (MedicationInformation)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable
Item: (MedicationInformation)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable
Item: (MedicationInformation)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (MedicationInformation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-e57d1b63-dd71-4afa-9da8-37f91d87a747">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="string(@classCode)='MANU'">(MedicationInformation): The value for @classCode SHALL be 'MANU'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4002'])&gt;=1 ">(MedicationInformation): element hl7:templateId[@root='2.16.578.1.34.10.4002'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4002'])&lt;=1">(MedicationInformation): element hl7:templateId[@root='2.16.578.1.34.10.4002'] appears to often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:manufacturedLabeledDrug|hl7:manufacturedMaterial)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="$elmcount&gt;=1">(MedicationInformation): choice (hl7:manufacturedLabeledDrug or hl7:manufacturedMaterial) contains not enough elements [min 1x]</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="$elmcount&lt;=1">(MedicationInformation): choice (hl7:manufacturedLabeledDrug or hl7:manufacturedMaterial) contains too many elements [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:templateId[@root='2.16.578.1.34.10.4002']
Item: (MedicationInformation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:templateId[@root='2.16.578.1.34.10.4002']"
         id="tmp-4aa2ff3e-56b4-4d8a-b54a-145079ae2f15">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationInformation): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4002'">(MedicationInformation): @root SHALL have value '2.16.578.1.34.10.4002'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:id
Item: (MedicationInformation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:id"
         id="tmp-581828dc-4897-47f0-871f-2d065926b0bd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationInformation): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (MedicationInformation)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (MedicationInformation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug"
         id="tmp-7a1539c3-eae5-4090-bd43-5b816c456df2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(MedicationInformation): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(MedicationInformation): element hl7:name appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (CDALabeledDrug)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (CDALabeledDrug)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (CDALabeledDrug)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (CDALabeledDrug)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:code
Item: (CDALabeledDrug)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:code"
         id="tmp-8c161450-f5d8-40c9-9197-dda2018081c6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.900830-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDALabeledDrug): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:name
Item: (CDALabeledDrug)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:name"
         id="tmp-3238a9ad-98ce-48a7-8bdd-f0d95efbd0d0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.900830-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='EN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDALabeledDrug): If an @xsi:type instruction is present it SHALL be valued "EN", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (MedicationInformation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-7a90cb8f-0b9a-4002-9f05-7ce167bbb9ae">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(MedicationInformation): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(MedicationInformation): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(MedicationInformation): element hl7:lotNumberText appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (CDAMaterial)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (CDAMaterial)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (CDAMaterial)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (CDAMaterial)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (CDAMaterial)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code"
         id="tmp-bd520695-cc89-4178-8981-bf4ef98792aa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.900831-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAMaterial): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name
Item: (CDAMaterial)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name"
         id="tmp-f11efcf3-3660-434d-9f9c-534185889006">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.900831-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='EN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAMaterial): If an @xsi:type instruction is present it SHALL be valued "EN", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:lotNumberText
Item: (CDAMaterial)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:lotNumberText"
         id="tmp-d349907e-69c6-4516-b43c-e115555a25ea">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.900831-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAMaterial): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
