<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4002
Description: Template Medication Information
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4002-2012-12-12T000000">
   <title>Medication Information</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]
Item: (MedicationInformation)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]"
         id="tmp-df14fa15-8b6c-4d9a-b90c-96a5d968695e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 ">(MedicationInformation): element hl7:manufacturedProduct is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(MedicationInformation): element hl7:manufacturedProduct appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct
Item: (MedicationInformation)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct"
         id="tmp-8f9a809b-d38c-4788-84e7-f23f8f8c3e32">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="string(@classCode)='MANU'">(MedicationInformation): The value for @classCode SHALL be 'MANU'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4002'])&gt;=1 ">(MedicationInformation): element hl7:templateId[@root='2.16.578.1.34.10.4002'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4002'])&lt;=1">(MedicationInformation): element hl7:templateId[@root='2.16.578.1.34.10.4002'] appears to often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:manufacturedLabeledDrug|hl7:manufacturedMaterial)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="$elmcount&gt;=1">(MedicationInformation): choice (hl7:manufacturedLabeledDrug or hl7:manufacturedMaterial) contains not enough elements [min 1x]</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="$elmcount&lt;=1">(MedicationInformation): choice (hl7:manufacturedLabeledDrug or hl7:manufacturedMaterial) contains too many elements [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:templateId[@root='2.16.578.1.34.10.4002']
Item: (MedicationInformation)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:templateId[@root='2.16.578.1.34.10.4002']"
         id="tmp-1c72269b-412c-4141-94a0-39fb66296bea">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationInformation): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4002'">(MedicationInformation): @root SHALL have value '2.16.578.1.34.10.4002'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:id
Item: (MedicationInformation)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:id"
         id="tmp-69889632-49d9-478b-84a9-812147e86892">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(MedicationInformation): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct
Item: (MedicationInformation)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (MedicationInformation)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug"
         id="tmp-62cf56b4-8079-496e-b870-e731f3d3a79c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(MedicationInformation): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(MedicationInformation): element hl7:name appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (CDALabeledDrug)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (CDALabeledDrug)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (CDALabeledDrug)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (CDALabeledDrug)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:code
Item: (CDALabeledDrug)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:code"
         id="tmp-f7af4494-60f8-4fcb-988d-aadee0d5c213">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.900830-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDALabeledDrug): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:name
Item: (CDALabeledDrug)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:name"
         id="tmp-a47c876d-1ac4-4797-b6fc-00006b7d08b9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.900830-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='EN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDALabeledDrug): If an @xsi:type instruction is present it SHALL be valued "EN", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (MedicationInformation)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-8cc2bf42-9d9c-4b1a-8878-7b0800ddf14b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(MedicationInformation): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(MedicationInformation): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(MedicationInformation): element hl7:lotNumberText appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (CDAMaterial)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (CDAMaterial)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (CDAMaterial)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (CDAMaterial)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (CDAMaterial)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code"
         id="tmp-5bb94bfd-fd5b-4d0b-8556-c84c18651645">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.900831-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAMaterial): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name
Item: (CDAMaterial)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name"
         id="tmp-5a0a9912-654a-4ab5-8c0a-ce60e2598eff">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.900831-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='EN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAMaterial): If an @xsi:type instruction is present it SHALL be valued "EN", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:lotNumberText
Item: (CDAMaterial)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:lotNumberText"
         id="tmp-9b9d4dbc-be55-40dd-8c39-ac82391cc438">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.900831-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(CDAMaterial): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
