<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4003
Description: Template Result Organizer
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4003-2012-12-12T000000">
   <title>Result Organizer</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]
Item: (ResultOrganizer)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer
Item: (ResultOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer"
         id="tmp-6a5c5a4d-b60b-48f9-b0f7-9e8042aacbb3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="string(@classCode)='CLUSTER'">(ResultOrganizer): The value for @classCode SHALL be 'CLUSTER'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(ResultOrganizer): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4003'])&gt;=1 ">(ResultOrganizer): element hl7:templateId[@root='2.16.578.1.34.10.4003'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4003'])&lt;=1">(ResultOrganizer): element hl7:templateId[@root='2.16.578.1.34.10.4003'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 ">(ResultOrganizer): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(ResultOrganizer): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]]/@nullFlavor)">(ResultOrganizer): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]] is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer/hl7:templateId[@root='2.16.578.1.34.10.4003']
Item: (ResultOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer/hl7:templateId[@root='2.16.578.1.34.10.4003']"
         id="tmp-e0aafa5f-2450-496a-afe8-734e9c87435b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4003'">(ResultOrganizer): @root SHALL have value '2.16.578.1.34.10.4003'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer/hl7:id
Item: (ResultOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer/hl7:id"
         id="tmp-737ff216-24c2-4d45-86d5-420978caa3f5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer/hl7:code
Item: (ResultOrganizer)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer/hl7:code"
         id="tmp-64e7edb9-9fe2-4120-832d-7607d1323ac2">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]]
Item: (ResultOrganizer)
-->
<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]]"
         id="tmp-7a2b73d9-6b27-487f-ad1b-b521c9178308">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(ResultOrganizer): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
