<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4004
Description: Template Result Observation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4004-2012-12-12T000000">
   <title>Result Observation</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]
Item: (ResultObservation)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation
Item: (ResultObservation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation"
         id="tmp-3768ff02-bfe0-427a-80a0-82857f0f4d61">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(ResultObservation): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(ResultObservation): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4004'])&gt;=1 ">(ResultObservation): element hl7:templateId[@root='2.16.578.1.34.10.4004'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4004'])&lt;=1">(ResultObservation): element hl7:templateId[@root='2.16.578.1.34.10.4004'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ResultObservation): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(ResultObservation): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(ResultObservation): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:statusCode)&lt;=1">(ResultObservation): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(ResultObservation): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:value)&gt;=1 ">(ResultObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:value)&lt;=1">(ResultObservation): element hl7:value appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:templateId[@root='2.16.578.1.34.10.4004']
Item: (ResultObservation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:templateId[@root='2.16.578.1.34.10.4004']"
         id="tmp-5b86a14a-c657-4878-be0c-1fcfc9144894">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4004'">(ResultObservation): @root SHALL have value '2.16.578.1.34.10.4004'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:id
Item: (ResultObservation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:id"
         id="tmp-ee39504b-a2c7-4e8f-8d80-1961830eec9b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:code
Item: (ResultObservation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:code"
         id="tmp-8e656d64-434c-42d2-b741-fd6433ada659">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:text
Item: (ResultObservation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:text"
         id="tmp-09c2ddec-d253-4ede-bf1c-badd08e9980a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "ED", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(ResultObservation): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:reference)&lt;=1">(ResultObservation): element hl7:reference appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:text/hl7:reference
Item: (ResultObservation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-34f6b869-be23-469b-9586-b82544d982f1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "TEL", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:statusCode
Item: (ResultObservation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:statusCode"
         id="tmp-b24f55cc-0169-4185-9482-09e37039f814">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "CS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(ResultObservation): The value for @code SHALL be selected from value set ActStatus DYNAMIC. NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(ResultObservation): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:effectiveTime
Item: (ResultObservation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:effectiveTime"
         id="tmp-d50ed736-6db9-4384-a431-3e3e0144bd0c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "TS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:value
Item: (ResultObservation)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:referenceRange
Item: (ResultObservation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:referenceRange"
         id="tmp-c29317d1-a769-4480-b3b2-87dd06261c73">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@typeCode)='REFV'">(ResultObservation): The value for @typeCode SHALL be 'REFV'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:observationRange)&gt;=1 ">(ResultObservation): element hl7:observationRange is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:observationRange)&lt;=1">(ResultObservation): element hl7:observationRange appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:referenceRange/hl7:observationRange
Item: (ResultObservation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:referenceRange/hl7:observationRange"
         id="tmp-bf9d46a0-a2b1-43a9-84d5-3341bcf72671">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(ResultObservation): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@moodCode)='EVN.CRT'">(ResultObservation): The value for @moodCode SHALL be 'EVN.CRT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:code)=0">(ResultObservation): element hl7:code MAY NOT be present.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(ResultObservation): element hl7:text appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:code
Item: (ResultObservation)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:text
Item: (ResultObservation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:text"
         id="tmp-9cbed343-be62-44f6-898d-cb9e9a78a19c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "ED", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
