<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4005
Description: Template Total Fluid Input
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4005-2012-12-12T000000">
   <title>Total Fluid Input</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]
Item: (TotalFluidInput)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation
Item: (TotalFluidInput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation"
         id="tmp-eb10634f-d33d-4591-ac34-7db7f7b23e12">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(TotalFluidInput): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(TotalFluidInput): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4005'])&gt;=1 ">(TotalFluidInput): element hl7:templateId[@root='2.16.578.1.34.10.4005'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4005'])&lt;=1">(TotalFluidInput): element hl7:templateId[@root='2.16.578.1.34.10.4005'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TotalFluidInput): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(TotalFluidInput): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(TotalFluidInput): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:statusCode)&lt;=1">(TotalFluidInput): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(TotalFluidInput): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:value)&gt;=1 ">(TotalFluidInput): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:value)&lt;=1">(TotalFluidInput): element hl7:value appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:templateId[@root='2.16.578.1.34.10.4005']
Item: (TotalFluidInput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:templateId[@root='2.16.578.1.34.10.4005']"
         id="tmp-97f91b5d-16e1-413a-8f7f-99ccd4a66034">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4005'">(TotalFluidInput): @root SHALL have value '2.16.578.1.34.10.4005'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:id
Item: (TotalFluidInput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:id"
         id="tmp-bd220264-ae9e-4063-8fa8-05eafb427888">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:code
Item: (TotalFluidInput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:code"
         id="tmp-4c645888-329a-4b5a-b483-e4f2dd35562e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or (@code='251852001' and @codeSystem='2.16.840.1.113883.6.96')">(TotalFluidInput): The value for @code/@codeSystem SHALL be ''251852001' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:text
Item: (TotalFluidInput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:text"
         id="tmp-36cc1f7f-a201-4ee6-85d0-a9764be00377">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "ED", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(TotalFluidInput): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:reference)&lt;=1">(TotalFluidInput): element hl7:reference appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:text/hl7:reference
Item: (TotalFluidInput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-f2678782-eb1e-4e30-9f27-abdb488a6777">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "TEL", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:statusCode
Item: (TotalFluidInput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:statusCode"
         id="tmp-6a2da9af-902d-4b9b-98c6-0d32a5e7d9ea">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "CS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(TotalFluidInput): The value for @code SHALL be selected from value set ActStatus DYNAMIC. NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(TotalFluidInput): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:effectiveTime
Item: (TotalFluidInput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:effectiveTime"
         id="tmp-0b0dda0a-82d1-447f-bcda-e769b0e6f5c8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "TS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:value
Item: (TotalFluidInput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:value"
         id="tmp-0d6110b8-2603-4ea3-bd6b-03faf066d3af">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "PQ", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="(@nullFlavor or (@unit='mL'))">(TotalFluidInput): value SHALL use unit 'mL' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(TotalFluidInput): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TotalFluidInput): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]]
Item: (TotalFluidInput)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]]"
         id="tmp-c5607409-1c5c-4768-8533-584817eee3fd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(TotalFluidInput): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
