<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4006
Description: Template Total Fluid Output
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4006-2012-12-12T000000">
   <title>Total Fluid Output</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]
Item: (TotalFluidOutput)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation
Item: (TotalFluidOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation"
         id="tmp-74bd6e3e-96ff-4786-8530-fe6ede78457d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(TotalFluidOutput): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(TotalFluidOutput): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4006'])&gt;=1 ">(TotalFluidOutput): element hl7:templateId[@root='2.16.578.1.34.10.4006'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4006'])&lt;=1">(TotalFluidOutput): element hl7:templateId[@root='2.16.578.1.34.10.4006'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TotalFluidOutput): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(TotalFluidOutput): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(TotalFluidOutput): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:statusCode)&lt;=1">(TotalFluidOutput): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(TotalFluidOutput): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:value)&gt;=1 ">(TotalFluidOutput): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:value)&lt;=1">(TotalFluidOutput): element hl7:value appears to often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]]|hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]])"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:templateId[@root='2.16.578.1.34.10.4006']
Item: (TotalFluidOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:templateId[@root='2.16.578.1.34.10.4006']"
         id="tmp-63c6b489-3987-4e62-94d7-c89bc202a7e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4006'">(TotalFluidOutput): @root SHALL have value '2.16.578.1.34.10.4006'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:id
Item: (TotalFluidOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:id"
         id="tmp-bacf3123-004f-4117-a769-1e85217cf05b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:code
Item: (TotalFluidOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:code"
         id="tmp-3b289041-2a21-4eda-bde1-3a7487a7c51b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or (@code='251841007' and @codeSystem='2.16.840.1.113883.6.96')">(TotalFluidOutput): The value for @code/@codeSystem SHALL be ''251841007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:text
Item: (TotalFluidOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:text"
         id="tmp-67f10795-f74e-4f8a-8368-d827c8808444">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "ED", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(TotalFluidOutput): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:reference)&lt;=1">(TotalFluidOutput): element hl7:reference appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:text/hl7:reference
Item: (TotalFluidOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-7eed8505-f41c-4acc-a6cd-d19a6509fe03">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "TEL", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:statusCode
Item: (TotalFluidOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:statusCode"
         id="tmp-b481ea54-88da-46bf-9365-6b3bb5e3b198">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "CS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(TotalFluidOutput): The value for @code SHALL be selected from value set ActStatus DYNAMIC. NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(TotalFluidOutput): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:effectiveTime
Item: (TotalFluidOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:effectiveTime"
         id="tmp-8e788917-c30d-41d2-b400-f6c2ac9b11a3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "TS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:value
Item: (TotalFluidOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:value"
         id="tmp-a70b2b82-926f-4af5-a093-201aa32ac939">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "PQ", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="(@nullFlavor or (@unit='mL'))">(TotalFluidOutput): value SHALL use unit 'mL' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(TotalFluidOutput): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TotalFluidOutput): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation
Item: (TotalFluidOutput)
-->


<!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]]
Item: (TotalFluidOutput)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]]"
         id="tmp-962d1c46-0469-4cae-98fe-77253123565c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(TotalFluidOutput): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]]
Item: (TotalFluidOutput)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]]"
         id="tmp-45b1375b-d79d-47db-966d-5d0e276f6a22">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(TotalFluidOutput): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
