<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4007
Description: Template Total Fluid Output
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4007-2012-12-12T000000">
   <title>Estimated Blood Loss</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]
Item: (EstimatedBloodLoss)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation
Item: (EstimatedBloodLoss)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation"
         id="tmp-ed68ec90-46e9-4f25-9d2b-e00179433fe1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(EstimatedBloodLoss): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(EstimatedBloodLoss): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4007'])&gt;=1 ">(EstimatedBloodLoss): element hl7:templateId[@root='2.16.578.1.34.10.4007'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4007'])&lt;=1">(EstimatedBloodLoss): element hl7:templateId[@root='2.16.578.1.34.10.4007'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(EstimatedBloodLoss): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(EstimatedBloodLoss): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(EstimatedBloodLoss): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:statusCode)&lt;=1">(EstimatedBloodLoss): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(EstimatedBloodLoss): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:value)&gt;=1 ">(EstimatedBloodLoss): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:value)&lt;=1">(EstimatedBloodLoss): element hl7:value appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:templateId[@root='2.16.578.1.34.10.4007']
Item: (EstimatedBloodLoss)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:templateId[@root='2.16.578.1.34.10.4007']"
         id="tmp-9e8370c6-4463-495d-89ef-2904b0e088fd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4007'">(EstimatedBloodLoss): @root SHALL have value '2.16.578.1.34.10.4007'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:id
Item: (EstimatedBloodLoss)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:id"
         id="tmp-d8fd7a5a-f34d-403a-bfb3-a9c120164930">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:code
Item: (EstimatedBloodLoss)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:code"
         id="tmp-dc94fa48-4e2b-4c51-b43b-e51ad3cf1cc4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or (@code='8717-1' and @codeSystem='2.16.840.1.113883.6.1')">(EstimatedBloodLoss): The value for @code/@codeSystem SHALL be ''8717-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:text
Item: (EstimatedBloodLoss)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:text"
         id="tmp-583fcece-2503-4101-87e7-467010275379">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "ED", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(EstimatedBloodLoss): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:reference)&lt;=1">(EstimatedBloodLoss): element hl7:reference appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:text/hl7:reference
Item: (EstimatedBloodLoss)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-0864c0fa-4be6-4edc-a27c-621934de9cbe">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "TEL", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:statusCode
Item: (EstimatedBloodLoss)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:statusCode"
         id="tmp-30f49435-acd2-4885-b98e-34dd723e19a7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "CS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(EstimatedBloodLoss): The value for @code SHALL be selected from value set ActStatus DYNAMIC. NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(EstimatedBloodLoss): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:effectiveTime
Item: (EstimatedBloodLoss)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:effectiveTime"
         id="tmp-abf050da-e9bc-43a2-ae56-1eb9e3519eac">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "TS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:value
Item: (EstimatedBloodLoss)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation/hl7:value"
         id="tmp-4a42aa3c-849f-4c02-b914-b407cc1e4968">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "PQ", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="(@nullFlavor or (@unit='mL'))">(EstimatedBloodLoss): value SHALL use unit 'mL' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(EstimatedBloodLoss): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(EstimatedBloodLoss): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
