<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4008
Description: Template Total Urine Output
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4008-2013-02-20T000000">
   <title>Urine Output</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]
Item: (UrineOutput)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation
Item: (UrineOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation"
         id="tmp-cb9695c8-feb6-43b7-9a62-3e96547bb204">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="string(@classCode)='OBS'">(UrineOutput): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="string(@moodCode)='EVN'">(UrineOutput): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4008'])&gt;=1 ">(UrineOutput): element hl7:templateId[@root='2.16.578.1.34.10.4008'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4008'])&lt;=1">(UrineOutput): element hl7:templateId[@root='2.16.578.1.34.10.4008'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(UrineOutput): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:code)&lt;=1">(UrineOutput): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:text)&lt;=1">(UrineOutput): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:statusCode)&lt;=1">(UrineOutput): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(UrineOutput): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:value)&gt;=1 ">(UrineOutput): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:value)&lt;=1">(UrineOutput): element hl7:value appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:templateId[@root='2.16.578.1.34.10.4008']
Item: (UrineOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:templateId[@root='2.16.578.1.34.10.4008']"
         id="tmp-206fa757-e0b4-438f-b23e-f376a54a740f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="string(@root)='2.16.578.1.34.10.4008'">(UrineOutput): @root SHALL have value '2.16.578.1.34.10.4008'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:id
Item: (UrineOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:id"
         id="tmp-8c796c34-1214-47be-86eb-ed89469a5351">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:code
Item: (UrineOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:code"
         id="tmp-5dc609f7-145b-438c-a870-2c94470621ce">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "CE", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or (@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')">(UrineOutput): The value for @code/@codeSystem SHALL be ''9187-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:text
Item: (UrineOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:text"
         id="tmp-3f8eb6a7-8fc6-4ea4-9e4d-af704302cd43">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "ED", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(UrineOutput): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:reference)&lt;=1">(UrineOutput): element hl7:reference appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:text/hl7:reference
Item: (UrineOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-0dbcb573-d9f9-41ee-bd67-78f3b58b418f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "TEL", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:statusCode
Item: (UrineOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:statusCode"
         id="tmp-b71d60c9-1354-497b-b998-628d829d5960">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "CS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode] or completeCodeSystem]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(UrineOutput): The value for @code SHALL be selected from value set ActStatus DYNAMIC. NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(UrineOutput): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:effectiveTime
Item: (UrineOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:effectiveTime"
         id="tmp-6753a7e4-6d73-4820-9fd1-3b4d5c141182">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "TS", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:value
Item: (UrineOutput)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation/hl7:value"
         id="tmp-b3807282-8ec8-4eec-a162-b30376a4778d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "PQ", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="(@nullFlavor or (@unit='mL'))">(UrineOutput): value SHALL use unit 'mL' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="$digitok or @nullFlavor">(UrineOutput): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(UrineOutput): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
